#include <iostream.h>

class point
{
   private:  int x;
	     int y;

   public:   point(void)		//default constructor
	     {
		 x = 0;
		 y = 0;
	     }

	     point (int xp, int yp)    //parameterized constuctor
	     {
		x = xp;
		y = yp;
	     }

	     point (point &p)
	     {
		x = p.x;
		y = p.y;
	     }

	     void display(void)
	     {
		 cout <<"x = "<<x <<"\t"
		      <<"y = "<<y <<endl;
	     }

};	//End of class box

void main()
{
   point  p1(20,30);       //objects P1 created and initialized
   point p2(p1);           // copy constructor
   point p3;		   // object p3 is created but not initialized

   p1.display();
   p2.display();
   p3.display();

}
/*---------------
Output
x = 20  y = 30
x = 20  y = 30
x = 0   y = 0

---------------*/