#include <iostream.h>
#include <conio.h>

template <class T>
class stack
{
    private: T *stk;
	     int size;
	     int top;

    public : stack(int max = 5);
	     ~stack()
	     {
		delete [] stk;
	     }
	     int push(const T&);
	     int pop(T &item);
	     int Full() const
	     {
		 return top == size-1;
	     }
	     int Empty() const
	     {
		 return top == -1;
	     }
	     void display(void);
}; //End of class template

template <class T>
stack <T>::stack(int sz)
{
   size = sz;
   top = -1;
   stk = new T[size];
}
template <class T>
int stack <T>:: push(const T &element)
{
	if(!Full())
	{
	    top = top + 1;
	    stk[top] = element;
	    return 1;
	}
	else
	    return 0;
}
template <class T>
int stack <T> :: pop (T &item)
{
    if(!Empty())
    {
	 item = stk[top];
	 top  = top - 1;
	 return 1;
     }
     else
	 return 0;
}

void main()
{
    stack <int> Istack(5);
    stack <float> fstack(5);

    int ival=10;
    float fval=5.3;

    clrscr();

    cout<<"Working of Integer stack"<<endl;
    cout<<"Start pushing values onto the stack"<<endl;
    while( Istack.push(ival) )
    {
	cout<<ival<<endl;
	ival=ival+10;
    }
    cout<<"Stack is full:You cannot push more"<<endl;
    cout<<"Now, pop all the elements one by one"<<endl;
    while( Istack.pop(ival) )
    {
	  cout<<ival <<" is deleted"<<endl;
    }

    cout<<"Stack is emepty. You cannot delete further!!"<<endl;

    cout<<"Working of stack with floating-point numbers"<<endl;
    cout<<"Start pushing floating-point values"<<endl;
    while( fstack.push(fval) )
    {
	cout<<fval<<endl;
	fval=fval + 3.5;
    }
    cout<<"Stack is full:You cannot push more"<<endl;
    cout<<"Now, pop all the elements one by one"<<endl;
    while( fstack.pop(fval) )
    {
	  cout<<fval <<" is deleted"<<endl;
    }

    cout<<"Stack is emepty. You cannot delete further!!"<<endl;
}

