#include <iostream.h>
#include <conio.h>

class BC1
{
  protected:  int i;

  public:   void get_i();
	    void put_i();
};

class DC1 : virtual public BC1            //virtual base class
{
  protected:  int j;

  public:   void get_j();
	    void put_j();
};

class DC2 : virtual public BC1            //virtual base class
{
  protected:  int k;

  public:   void get_k();
	    void put_k();
};

class DC3 : public DC1, public  DC2
{
  private:   int sum;
  public:    void print_sum();
};

void BC1:: get_i()
{
    cout<<"Enter the value of i"<<endl;
    cin>>i;
}
void BC1:: put_i()
{
     cout<<"i = "<<i<<endl;
}

void DC1:: get_j()
{
    cout<<"Enter the value of j"<<endl;
    cin>>j;
}

void DC1:: put_j()
{
     cout<<"j = "<<j<<endl;
}

void  DC2:: get_k()
{
    cout<<"Enter the value of k"<<endl;
    cin>>k;
}

void DC2:: put_k()
{
     cout<<"k = "<<k<<endl;
}

void DC3:: print_sum()
{
     sum = i+j+k;
     put_i();
     put_j();
     put_k();
     cout<<"\nSum = "<<sum<<endl;
}

void main()
{
   DC3 d3;
   clrscr();

   d3.get_i();
   d3.get_j();
   d3.get_k();
   cout<<"\n";
   d3.print_sum();
}
/*-------------------
Output
Enter the value of i
6
Enter the value of j
7
Enter the value of k
8

i = 6
j = 7
k = 8

Sum = 21
-------------------*/




