#include <iostream.h>
#include <conio.h>

class box
{
   public:  int length;
	    int breadth;

	    void getData(void);
	    void display(void);
};

class rectBox : private box	//derived class
{
   private: int height;
   public:  void read(void);
	    void volume(void);
	    void print(void);
};

void box::getData(void)
{
    cout<<"Enter the length and breadth"<<endl;
    cin >>length>>breadth;
}

void box::display(void)
{
    cout<<"Length  = "<<length<<endl;
    cout<<"Breadth = "<<breadth<<endl;
}

void rectBox :: read(void)
{
    box::getData();          //accessable to the derived class
    cout<<"Enter the height : ";
    cin >>height;
}
void rectBox :: print(void)
{
    box::display();         //accessable to the derived class
    cout<<"Height  = "<<height<<endl;
}
void rectBox::volume(void)
{
    cout<<"Volume of the box = ";
    cout<<(length*breadth*height);
}
void main()
{
    rectBox rb;
    clrscr();
    rb.read();
    rb.print();
    rb.volume();
}
/*----------------------------------
Output
Enter the length and breadth
10
9
Enter the height : 8
Length  = 10
Breadth = 9
Height  = 8
Volume of the box = 720
------------------------------------*/

