#include <iostream.h>
#include <conio.h>

class BC1
{
   private: int i;
   public:  int init();
	    void display();
};

class BC2
{
   private: int j;
   public:  int init();
	    void display();
};

class BC3
{
   private:  int k;
   public :  int init();
	     void display();
};

class DC : public BC1, public BC2, public BC3    //three base classes
{
   private: int s;
   public :int sum();
	   void print();
};

int BC1 :: init()
{
    i = 10;
    return i;
}

void BC1::display()
{
    cout<<"i = "<<i<<endl;
}

int BC2 :: init(void)
{
    j = 5;
    return j;
}
void BC2 :: display(void)
{
    cout<<"j = "<<j<<endl;
}

int BC3 :: init(void)
{
    k = 7;
    return k;
}
void BC3 :: display(void)
{
    cout<<"k = "<<k<<endl;
}

int DC :: sum(void)
{
     //To resolve the ambiguity of member function, use proper base class

     s = BC1::init() + BC2::init() + BC3::init();
}

void DC :: print(void)
{
   BC1::display();   //To resolve the ambiguity, use proper base class
   BC2::display();
   BC3::display();
   cout<<"Sum = "<<s<<endl;
}

void main()
{
    DC dc1;
    clrscr();
    dc1.sum();
    dc1.print();
}

/*------------------
Output
i = 10
j = 5
k = 7
Sum = 22
--------------------*/

