#include <iostream.h>

class Array
{
    private:  int a[10];
	      int size;

    public:
	     void Array :: inputArr(void);
	     void Array :: printArrElements(void);
	     float Array::mean(void);
	     int Array :: largest(void );
	     void Array :: sort(void);

}; //End of class definition


void Array :: inputArr(void)
{
    cout <<"Enter the size of an array"<<endl;
    cin >> size;

    cout <<"Enter the array elements"<<endl;
    for(int i = 0; i < size; i++)
    {
       cin >> a[i];
    }
}
void Array :: printArrElements(void)
{
    cout <<"Array elements are "<<endl;
    for(int i = 0; i < size; i++)
    {
	  cout << a[i] <<endl;
    }
}

float Array::mean(void)
{
   int i, sum = 0;
   for(i = 0; i < size; i++)
   {
     sum = sum + a[i];
   }

   float avg = sum / size;
   return avg;
}

int Array :: largest(void)
{
    int large, i;
    large = a[0];
    for(i = 1; i < size; i++)
    {
       if (a[i] > large)
       {
	   large = a[i];
       }
    }
    return large;
}

void Array :: sort(void)
{
    int i,j,temp;
    for( i = 0; i < size; i++)
    {
	for(j = i+ 1; j < size; j++)
	{
	     if (a[i] > a[j])
	     {
		temp = a[i];
		a[i] = a[j];
		a[j] = temp;
	     }
	}
    }
}

void main()
{
  Array A;   //object creation

  A.inputArr();
  A.printArrElements();

  cout<<"Mean of all array elements = "<< A.mean() <<endl;

  cout<<"Largest array element is "<< A.largest() <<endl;

  cout<<"Sorted " ;
  A.sort();
  A.printArrElements();
}
/*--------------------------------
Output
Enter the size of an array
5
Enter the array elements
20 10 40 50 30
Array elements are
20
10
40
50
30
Mean of all array elements = 30
Largest array element is 50
Sorted Array elements are
10
20
30
40
50
---------------------------------------*/



