#include <iostream.h>
#include <conio.h>

class IntArray
{
	private:   int *A;
		   int size;
	public:    IntArray(int s);
		   IntArray(IntArray const &B);
		   ~IntArray()
		   {
			delete A;
		   }
		   int &operator [] (int subscript);
};	//end of class definition
IntArray :: IntArray(int s)
{
	size = s;
	A = new int[s];
}
IntArray :: IntArray(IntArray const &B)
{
	size = B.size;
	A = new int[size];
	for(int i = 0; i < size; i++)
	{
		A[i] = B.A[i];
	}
}
int &IntArray :: operator [] (int subscript)
{
	if (subscript >= 0 && subscript < size)
	{
		cout <<"No out of bounds"<<endl;
	}
	else
	{
		cout<<"Out of bounds"<<endl;
	}
	return (A[subscript]);
}

void main()
{
	IntArray ia(5);	//an array of 5 ints
	int i, k;
	clrscr();
	for (i=0; i<=5; i++)
	{
		ia [i] = i;    		//invoking operator[]()
	}
	cout<<"Given array is"<<endl;
	for (k=0; k<=5; k++)
	{
	       cout<< k <<": ";
	       ia [k] ;       		//invoking operator[]()
	}
}