#include <iostream.h>
#include <conio.h>
template <class T>
class Array
{
    private: T *arr;
	     int size;
	     static int count;
    public : Array(int max = 5);
	     ~Array()
	     {
		delete [] arr;
	     }
	     void readArray(void);
	     void display(void);
	     static int totalNoOfArrays()
	     {
		return count;
	     }
};	 //End of class template

template <class T>
Array <T>::Array(int sz)
{
   size = sz;
   arr = new T[size];
   for(int i = 0; i < size; i++)
   {
      arr[i] = (T)0;
   }
}

template <class T>		//Static data memeber initialization
 int Array<T>::count = 0;

template <class T>
void Array <T>:: readArray(void)
{
    for(int i = 0; i < size; i++)
    {
	cin>>arr[i];
    }
    count++;
}

template <class T>
void Array<T> :: display(void)
{
     for (int i = 0; i < size; i++)
     {
	  cout<<arr[i]<<endl;
     }
     cout<<endl;
}

void main()
{
    Array <int>    IArr(5);
    Array <double> DArr(5);

    clrscr();
    cout<<"Enter integer elements"<<endl;
    IArr.readArray();
    cout<<"Integer array elements are"<<endl;
    IArr.display();

    cout<<"Enter double-precision numbers"<<endl;
    DArr.readArray();
    cout<<"Double-precision array elements are"<<endl;
    DArr.display();

    cout<<"Total number of integer arrays = "<< Array<int>::totalNoOfArrays()<<endl;
    cout<<"Total number of double arrays  = "<< Array<double>::totalNoOfArrays();
}


