#include <iostream.h>
#include <conio.h>

class person
{
   private: char name[25];
	    int age;
   public:  void getData();
	    void display();
};

class student : public person
{
   private: char qualification[25];
   public:  void read();
	    void print();
};

class teacher : public person
{
   private:  int experience;
   public :  void input();
	     void output();
};

class Exams : public student
{
   protected: float percentage;
   public:  void read();
	    void print();
};

class talents
{
   protected: char talents_type[25];
   public:  void read();
	    void print();
};


class awards : public Exams, public talents
{
   public:   void getData();
	     void printData();
};

void person::getData()
{
    cout<<"Enter the name : ";
    cin >>name;
    cout<<"Enter the age  : ";
    cin >>age;
}

void person::display()
{
    cout<<"Name   = "<<name<<endl;
    cout<<"Age    = "<<age<<endl;
}

void student :: read(void)
{
    person::getData();          //accessable to the derived class
    cout<<"Enter the qualification : ";
    cin >>qualification;
}

void student :: print(void)
{
    person::display();         //accessable to the derived class
    cout<<"Qualification  = "<<qualification<<endl;
}

void teacher :: input(void)
{
    person::getData();          //accessable to the derived class
    cout<<"Enter the number of experience : ";
    cin >>experience;
}
void teacher :: output(void)
{
    person::display();         //accessable to the derived class
    cout<<"Experience = "<<experience<<endl;
}

void Exams :: read(void)
{
    student::read();
    cout<<"Enter the percentage : ";
    cin >>percentage;
}

void Exams :: print(void)
{
    student::print();
    cout<<"Percentage = "<<percentage<<endl;
}

void talents :: read(void)
{
    cout<<"Enter the type of talent : ";
    cin>>talents_type;
}

void talents :: print(void)
{
    cout<<"Type of talent = "<<talents_type<<endl;
}

void awards :: getData(void)
{
    Exams::read();
    talents::read();
}

void awards :: printData(void)
{
    Exams::print();
    talents::print();
    cout<<"\n*****BEST ALL ROUNDER*****"<<endl;
}


void main()
{
    awards a1;
    clrscr();
    cout<<"Enter award winner's information..."<<endl;
    a1.getData();

    cout<<"\nAward winner's information is as follows..."<<endl;
    a1.printData();
}
/*----------------------------------
Output
Enter award winner's information...
Enter the name : Prabhu
Enter the age  : 22
Enter the qualification : BE
Enter the percentage : 87
Enter the type of talent : Debate&sports

Award winner's information is as follows...
Name   = Prabhu
Age    = 22
Qualification  = BE
Percentage = 87
Type of talent = Debate&sports

*****BEST ALL ROUNDER*****
--------------------------------------*/

