#include <fstream.h>
#include <iostream.h>

main()
{
	char fileName[80];
	char buffer[255];

	cout << "Please enter the file name: ";
	cin >> fileName;

	ifstream fin(fileName);

	if (fin) 	// if file already exists?
	{
		cout << "Current file contents:\n";
		char ch;

		while (fin.get(ch))
		{
		   cout << ch;
		}
	}

	fin.close();

	cout << "\nOpening " << fileName << " in append mode...\n";
	ofstream fout(fileName,ios::app);

	if (!fout)
	{
		cout << "Unable to open " << fileName << " for appending.\n";
		return 1;
	}
	cout <<"\nEnter data for the file: ";
	cin.ignore(1,'\n');
	cin.getline(buffer,255);
	fout << buffer << "\n";
	fout.close();

	fin.open(fileName);    // reassign existing fin object!
	if (!fin)
	{
	   cout << "Unable to open " << fileName << " for reading.\n";
	   return 1;
	}
	cout << "\nContents of the file:\n";
	char ch;
	while (fin.get(ch))
	{
	    cout << ch;
	}
	fin.close();
}
/*---------------------------------------------
Output
Please enter the file name: mydata.txt
Current file contents:
What is that religion, without compassion.

Opening mydata.txt in append mode...

Enter data for the file: Be in right place, in right time ,
with right people and for right work. Be always honest and clean.

Contents of the file:
What is that religion, without compassion.
Be in right place, in right time , with right people and for right work.
Be always honest and clean.
-------------------------------------------------------------------------*/